From c06fb3ec25b9977e5f257d56e3661849701f3b46 Mon Sep 17 00:00:00 2001
From: Douglas Bagnall <douglas.bagnall@catalyst.net.nz>
Date: Thu, 2 Feb 2017 17:26:43 +1300
Subject: [PATCH] waf --test-list takes a filename argument

Signed-off-by: Douglas Bagnall <douglas.bagnall@catalyst.net.nz>
---
 selftest/wscript | 1 -
 1 file changed, 1 deletion(-)

diff --git a/selftest/wscript b/selftest/wscript
index 86deac5..f35efa8 100644
--- a/selftest/wscript
+++ b/selftest/wscript
@@ -82,7 +82,6 @@ def set_options(opt):
     gr.add_option('--perf-test', dest='PERF_TEST', default=False,
                   action="store_true", help="run performance tests only")
     gr.add_option('--test-list', dest='TEST_LIST', default='',
-                  action="store_true",
                   help=("use tests listed here, not defaults "
                         "(--test-list='FOO|' will execute FOO; "
                         "--test-list='FOO' will read it)"))
-- 
2.7.4

